Documentación / CRM / Comunicaciones
Comunicaciones
Correos - Eliminación
DELETE /comm/inbox/:tkInbox
Permite eliminar un correo de la bandeja de entrada del sistema.
Tenga en cuenta que al ejecutar este método, se eliminará o reemplazará permanente el registro.
Parámetros Nombre Tipo Validación Descripción tkEmailUUID Requerido Código token que corresponde a un correo en la bandeja del sistema, el cual se requiere eliminar. tkInboxString Requerido Código token de la ruta tkInbox.
Respuesta Nombre Tipo Descripción codeInteger Proporciona un código de verificación como respuesta. msgString Proporciona un mensaje descriptivo o razón dependiendo el resultado.
Solicitud
curl --request DELETE 'https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{"tkEmail":"00000000-0000-4000-8000-000000000010"}'const response = await fetch('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());const response = await fetch('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());import requests
response = requests.delete('https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010', headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'}, json={"tkEmail":"00000000-0000-4000-8000-000000000010"})
print(response.json())package main
import ("bytes"; "fmt"; "io"; "net/http")
func main() {
req, _ := http.NewRequest("DELETE", "https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010", bytes.NewBufferString("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}"))
req.Header.Set("token", "00000000-0000-4000-8000-000000000001")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}using System.Net.Http;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("token", "00000000-0000-4000-8000-000000000001");
using var content = new StringContent("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}", Encoding.UTF8, "application/json");
var response = await client.DeleteAsync("https://api.upnify.com/v4/comm/inbox/00000000-0000-4000-8000-000000000010", content);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Respuesta
{
"code": 0,
"msg": "Ok"
}